<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace  Kufer\Web\KuferTools\Dozent\DozFeedbackauswertungenUebersicht;

class ControllerFactory
{
  public function getController($pAction)
  {
    switch ($pAction) {
      default:
      case 'dozfeedbackauswertungenUebersicht':
        return new DozFeedbackauswertungen\DozFeedbackauswertungenUebersichtController();
      case 'dozShowFilterFeedbackauswertungenUebersicht':
        return new DozFeedbackFilter\DozShowFilterFeedbackauswertungenUebersichtController();
      case 'dozFeedbackauswertungenUebersichtSetFilter':
        return new DozFeedbackFilter\DozFeedbackauswertungenUebersichtSetFilterController();
      case 'dozFeedbackauswertungenUebersichtResetFilter':
        return new DozFeedbackFilter\DozFeedbackauswertungenUebersichtResetFilterController();
    }
  }
}